Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xmlpatterns
Class QAbstractUriResolver

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.core.QObject
                      com.trolltech.qt.xmlpatterns.QAbstractUriResolver

All Implemented Interfaces:
  QtJambiInterface

    public abstract class QAbstractUriResolver

extends QObject

The `QAbstractUriResolver` class is a callback interface for resolving Uniform Resource Identifiers. A Uniform Resource Identifier (URI) is a string that uniquely identifies a resource. URIs are versatile global identifiers. It is often useful to transform a URI that identifies something logical into a URI that locates something physical (a URL), or to simply map a URI to a different URI. `QAbstractUriResolver::resolve()` provides this functionality.

For example, one could write a `QAbstractUriResolver` subclass that rewrites library ISBN number URIs as book title URLs, e.g., urn:isbn:0-345-33973-8 would be rewritten as file:///books/returnOfTheKing.doc. Or a `QAbstractUriResolver` subclass could be written for a web browser to let the web browser protect the user's private files by mapping incoming requests for them to null URIs.

See also:

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QAbstractUriResolver()` Constructs a `QAbstractUriResolver` with the specified `parent`.
`QAbstractUriResolver(QObject parent)` Constructs a `QAbstractUriResolver` with the specified `parent`.

Method Summary
`abstract QUrl` | `resolve(QUrl relative, QUrl baseURI)` Returns the `relative` URI resolved using the `baseURI`.

Methods inherited from class com.trolltech.qt.core.QObject
`childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, indexOfProperty, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, properties, property, removeEventFilter, setObjectName, setParent, setProperty, startTimer, timerEvent, toString, userProperty`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QAbstractUriResolver

    public QAbstractUriResolver()

  Constructs a `QAbstractUriResolver` with the specified `parent`.

### QAbstractUriResolver

    public QAbstractUriResolver(QObject parent)

  Constructs a `QAbstractUriResolver` with the specified `parent`.

Method Detail

### resolve

    public abstract QUrl resolve(QUrl relative,
                                 QUrl baseURI)

  Returns the `relative` URI resolved using the `baseURI`.

  The caller guarantees that both `relative` and `baseURI` are valid, and that `baseURI` is absolute. `relative` can be relative, absolute, or empty.

  The returned `QUrl` can be a default constructed `QUrl`. If it is not a default constructed `QUrl`, it will be absolute and valid. If a default constructed `QUrl` is returned, it means the `relative` URI was not accepted to be resolved.

  If the reimplemented `resolve()` function decides it has nothing to do about resolving the `relative` URI, it should simply return the `relative` URI resolved against the `baseURI`, i.e.:

          return baseURI.resolved(relative);

See also:
  `QUrl::isRelative()`, and `QUrl::isValid()`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD